<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: FreeRTOS Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="classFreeRTOS-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">FreeRTOS Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Interface to FreeRTOS functions.  
 <a href="classFreeRTOS.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="FreeRTOS_8h_source.html">FreeRTOS.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFreeRTOS_1_1Semaphore.html">Semaphore</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:abea19fd141147c054f47c6a00e77f2ff"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFreeRTOS.html#abea19fd141147c054f47c6a00e77f2ff">sleep</a> (uint32_t ms)</td></tr>
<tr class="separator:abea19fd141147c054f47c6a00e77f2ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaabf67574ec5a28c3db4536e200af576"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFreeRTOS.html#aaabf67574ec5a28c3db4536e200af576">startTask</a> (void task(void *), std::string taskName, void *param=nullptr, uint32_t stackSize=2048)</td></tr>
<tr class="separator:aaabf67574ec5a28c3db4536e200af576"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a965b07cf1ca57fd0eb61df092b98edab"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFreeRTOS.html#a965b07cf1ca57fd0eb61df092b98edab">deleteTask</a> (TaskHandle_t pTask=nullptr)</td></tr>
<tr class="separator:a965b07cf1ca57fd0eb61df092b98edab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2f4b1bd2944ae5e0c97a5dcbca65e66"><td class="memItemLeft" align="right" valign="top">static uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFreeRTOS.html#aa2f4b1bd2944ae5e0c97a5dcbca65e66">getTimeSinceStart</a> ()</td></tr>
<tr class="separator:aa2f4b1bd2944ae5e0c97a5dcbca65e66"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Interface to FreeRTOS functions. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a965b07cf1ca57fd0eb61df092b98edab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a965b07cf1ca57fd0eb61df092b98edab">&#9670;&nbsp;</a></span>deleteTask()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void FreeRTOS::deleteTask </td>
          <td>(</td>
          <td class="paramtype">TaskHandle_t&#160;</td>
          <td class="paramname"><em>pTask</em> = <code>nullptr</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Delete the task. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">pTask</td><td>An optional handle to the task to be deleted. If not supplied the calling task will be deleted. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aa2f4b1bd2944ae5e0c97a5dcbca65e66"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa2f4b1bd2944ae5e0c97a5dcbca65e66">&#9670;&nbsp;</a></span>getTimeSinceStart()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t FreeRTOS::getTimeSinceStart </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Get the time in milliseconds since the FreeRTOS scheduler started. </p><dl class="section return"><dt>Returns</dt><dd>The time in milliseconds since the FreeRTOS scheduler started. </dd></dl>

</div>
</div>
<a id="abea19fd141147c054f47c6a00e77f2ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abea19fd141147c054f47c6a00e77f2ff">&#9670;&nbsp;</a></span>sleep()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void FreeRTOS::sleep </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>ms</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sleep for the specified number of milliseconds. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ms</td><td>The period in milliseconds for which to sleep. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aaabf67574ec5a28c3db4536e200af576"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaabf67574ec5a28c3db4536e200af576">&#9670;&nbsp;</a></span>startTask()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void FreeRTOS::startTask </td>
          <td>(</td>
          <td class="paramtype">void &#160;</td>
          <td class="paramname"><em>task</em>void *, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>taskName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>param</em> = <code>nullptr</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>stackSize</em> = <code>2048</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Start a new task. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">task</td><td>The function pointer to the function to be run in the task. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">taskName</td><td>A string identifier for the task. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">param</td><td>An optional parameter to be passed to the started task. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">stackSize</td><td>An optional paremeter supplying the size of the stack in which to run the task. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="FreeRTOS_8h_source.html">FreeRTOS.h</a></li>
<li>FreeRTOS.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
